Bug 180683 - multimedia/gxine: Change Javascript engine to spidermonkey185
Summary: multimedia/gxine: Change Javascript engine to spidermonkey185
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-20 19:10 UTC by tkato432
Modified: 2014-02-23 16:00 UTC (History)
0 users

See Also:


Attachments
file.diff (1.76 KB, patch)
2013-07-20 19:10 UTC, tkato432
no flags Details | Diff
multimedia_gxine.diff (1.77 KB, patch)
2013-08-18 18:51 UTC, tkato432
no flags Details | Diff
multimedia_gxine.diff (1.76 KB, patch)
2013-09-11 18:57 UTC, tkato432
no flags Details | Diff
multimedia_gxine.diff (2.57 KB, patch)
2013-10-26 18:45 UTC, tkato432
no flags Details | Diff
multimedia_gxine.diff (2.61 KB, patch)
2013-11-07 17:56 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-07-20 19:10:00 UTC
- Change Javascript engine to spidermonkey185
Comment 1 Edwin Groothuis freebsd_committer 2013-07-20 19:10:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 tkato432 2013-08-18 18:51:07 UTC
Remake of the patch against current tree.
Comment 3 tkato432 2013-09-11 18:57:35 UTC
Remake of the patch against current tree.
Comment 4 Bryan Drewery freebsd_committer 2013-09-22 15:10:26 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Back to the heap due to timeout
Comment 5 tkato432 2013-10-26 18:45:03 UTC
Remake of the patch against current tree.
Comment 6 tkato432 2013-11-07 17:56:53 UTC
Remake of the patch against current tree.
Comment 7 Martin Wilke freebsd_committer 2014-01-23 15:45:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 8 Martin Wilke freebsd_committer 2014-02-23 15:55:47 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 9 dfilter service freebsd_committer 2014-02-23 15:56:02 UTC
Author: miwi
Date: Sun Feb 23 15:55:54 2014
New Revision: 345742
URL: http://svnweb.freebsd.org/changeset/ports/345742
QAT: https://qat.redports.org/buildarchive/r345742/

Log:
  - Change Javascript engine to spidermonkey185
  - Convert to USES
  - Stage support
  
  PR:		180683
  Submitted by:	port fury

Modified:
  head/multimedia/gxine/Makefile
  head/multimedia/gxine/pkg-plist

Modified: head/multimedia/gxine/Makefile
==============================================================================
--- head/multimedia/gxine/Makefile	Sun Feb 23 15:45:49 2014	(r345741)
+++ head/multimedia/gxine/Makefile	Sun Feb 23 15:55:54 2014	(r345742)
@@ -3,19 +3,18 @@
 
 PORTNAME=	gxine
 PORTVERSION=	0.5.907
-PORTREVISION=	4
+PORTREVISION=	5
 CATEGORIES=	multimedia
 MASTER_SITES=	SF/xine/${PORTNAME}/${PORTVERSION}
 
 MAINTAINER=	ports@FreeBSD.org
-COMMENT=	An alternative GUI for the Xine media player
+COMMENT=	Alternative GUI for the Xine media player
 
 LICENSE=	GPLv2
 
-BROKEN=		Does not build with recent libxul
-
-LIB_DEPENDS=	nspr4.1:${PORTSDIR}/devel/nspr \
-		xine.2:${PORTSDIR}/multimedia/libxine
+LIB_DEPENDS=	libnspr4.so:${PORTSDIR}/devel/nspr \
+		libmozjs185.so:${PORTSDIR}/lang/spidermonkey185 \
+		libxine.so:${PORTSDIR}/multimedia/libxine
 
 OPTIONS_DEFINE=	MOZILLA_PLUGIN GNOME LIRC
 MOZILLA_PLUGIN_DESC=	Mozilla plugin
@@ -23,21 +22,14 @@ MOZILLA_PLUGIN_DESC=	Mozilla plugin
 USE_XZ=		yes
 USES=		gmake pathfix pkgconfig
 USE_GNOME=	gtk20
-USE_GECKO=	libxul
 USE_AUTOTOOLS=	libtool
 CONFIGURE_ENV=	MKDIR_P="${MKDIR}"
-CONFIGURE_ARGS=	--enable-mozjs --disable-ffjs --disable-seajs \
-		--without-hal --with-libintl-prefix=${LOCALBASE}
+CONFIGURE_ARGS=	--without-hal --with-libintl-prefix=${LOCALBASE}
 INSTALLS_ICONS=	yes
 
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 
-MANLANG=	"" de es
-MAN1=		gxine.1 gxine_client.1
-MANCOMPRESSED=	no
-
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MMOZILLA_PLUGIN}
@@ -54,7 +46,7 @@ PLIST_SUB+=	MOZILLA_PLUGIN="@comment "
 
 .if ${PORT_OPTIONS:MGNOME}
 BUILD_DEPENDS+=	gnome-screensaver:${PORTSDIR}/x11/gnome-screensaver
-LIB_DEPENDS+=	dbus-glib-1.2:${PORTSDIR}/devel/dbus-glib
+LIB_DEPENDS+=	libdbus-glib-1.so:${PORTSDIR}/devel/dbus-glib
 RUN_DEPENDS+=	gnome-screensaver:${PORTSDIR}/x11/gnome-screensaver
 CONFIGURE_ARGS+=--with-dbus
 .else
@@ -62,7 +54,7 @@ CONFIGURE_ARGS+=--disable-integration-wi
 .endif
 
 .if ${PORT_OPTIONS:MLIRC}
-LIB_DEPENDS+=	lirc_client.2:${PORTSDIR}/comms/lirc
+LIB_DEPENDS+=	liblirc_client.so:${PORTSDIR}/comms/lirc
 CONFIGURE_ARGS+=--enable-lirc
 .else
 CONFIGURE_ARGS+=--disable-lirc

Modified: head/multimedia/gxine/pkg-plist
==============================================================================
--- head/multimedia/gxine/pkg-plist	Sun Feb 23 15:45:49 2014	(r345741)
+++ head/multimedia/gxine/pkg-plist	Sun Feb 23 15:55:54 2014	(r345742)
@@ -8,6 +8,12 @@ bin/gxine_client
 %%MOZILLA_PLUGIN%%lib/gxine/gxineplugin.a
 %%MOZILLA_PLUGIN%%lib/gxine/gxineplugin.la
 %%MOZILLA_PLUGIN%%lib/gxine/gxineplugin.so
+man/man1/gxine.1.gz
+man/man1/gxine_client.1.gz
+man/de/man1/gxine.1.gz
+man/de/man1/gxine_client.1.gz
+man/es/man1/gxine.1.gz
+man/es/man1/gxine_client.1.gz
 share/applications/gxine.desktop
 %%DATADIR%%/logo.mpv
 %%DATADIR%%/mediamarks
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"